Name:		webcpp
Version:	0.8.4
Release:	2%{?dist}
Summary:	Convert C++ code to HTML
License:	GPLv2
Group:		Development/Tools
URL:		http://webcpp.sourceforge.net
Source:		http://prdownloads.sourceforge.net/webcpp/%{name}-%{version}-src.tar.gz
Patch0:		webcpp-0.8.4-typo.patch
Patch1:     webcpp-0.8.4-gcc43.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Web C Plus Plus is a command line utility that takes your source 
code, and converts it into an HTML file using a fully customizable 
syntax highlighting engine and colour schemes. This is useful if 
you want to post your code online and make it easier to read, or 
to make online programming tutorials. 

%prep
%setup -qn %{name}-%{version}-src
%patch0 -p1 -b .typo
%patch1 -p1 -b .gcc43

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 755 %{name}/webcpp $RPM_BUILD_ROOT%{_bindir}/webcpp


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README docs.html
%{_bindir}/webcpp


%changelog
* Sat Mar 08 2008 Michal Fabry <furby@fedoraproject.org> - 0.8.4-2
- fix build with gcc 4.3

* Fri Nov 23 2007 Michal Fabry <furby@fedoraproject.org> - 0.8.4-1
- First build

